> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update registration

> Update a registration for a location



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/organisations/{organisationId}/locations/{locationId}/registrations
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/locations/{locationId}/registrations:
    patch:
      tags:
        - Location
      summary: Update registration
      description: Update a registration for a location
      operationId: LocationController_updateRegistration
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: locationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationRegistrationUpdateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessLocation'
components:
  schemas:
    LocationRegistrationUpdateParams:
      type: object
      properties:
        type:
          enum:
            - medicare
            - phi
          type: string
          description: The type of registration to update
        medicare:
          $ref: '#/components/schemas/MedicareRegistrationUpdateParams'
      required:
        - type
    BusinessLocation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        displayName:
          type: string
        createdAt:
          format: date-time
          type: string
        timeZone:
          type: string
        suggestedTaxIdentifier:
          type: string
        address:
          $ref: '#/components/schemas/AddressDetails'
        bookingCustomText:
          type: string
        businessId:
          type: string
        business:
          $ref: '#/components/schemas/Business'
        email:
          type: string
        registrations:
          type: array
          items:
            $ref: '#/components/schemas/LocationRegistration'
        organisationId:
          type: string
        organisation:
          $ref: '#/components/schemas/Organisation'
        isBookable:
          type: boolean
      required:
        - id
        - name
        - createdAt
        - timeZone
        - address
    MedicareRegistrationUpdateParams:
      type: object
      properties:
        providerAgreementSubmissionId:
          type: string
          description: The provider agreement submission ID
        isUsingOtherClaimSoftware:
          type: boolean
          description: Whether the location is using other claiming software
          example: false
          default: false
      required:
        - providerAgreementSubmissionId
    AddressDetails:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        suburb:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postcode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
    Business:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        taxIdentifier:
          type: string
        countryCode:
          type: string
        structure:
          enum:
            - public_corporation
            - private_corporation
            - sole_proprietorship
            - private_partnership
            - trust
            - incorporated_non_profit
            - unincorporated_association
          type: string
        merchantId:
          type: string
        capabilities:
          type: array
          items:
            $ref: '#/components/schemas/BusinessCapability'
        settings:
          $ref: '#/components/schemas/BusinessSettings'
        createdAt:
          format: date-time
          type: string
        events:
          type: object
        websiteUrl:
          type: string
        address:
          $ref: '#/components/schemas/AddressDetails'
      required:
        - id
        - name
        - settings
        - createdAt
    LocationRegistration:
      type: object
      properties:
        type:
          type: string
          enum:
            - medicare
            - phi
        medicare:
          $ref: '#/components/schemas/MedicareRegistration'
        phi:
          $ref: '#/components/schemas/PhiRegistration'
      required:
        - type
    Organisation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organisation
          example: org_31XEcUshz1ymodA14HALnyP48g1
        name:
          type: string
          description: Name of the organisation
          example: Acme Healthcare
        slug:
          type: string
          description: URL-friendly identifier for the organisation
          example: acme-healthcare
        createdAt:
          format: date-time
          type: string
          description: Date when the organisation was created
          example: '2023-01-15T10:30:00Z'
        brandImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's brand image
          example: https://example.com/brand-image.png
        bookingsEnabled:
          type: boolean
          description: True if bookings are enabled for this organisation
          example: true
        wordmarkImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's wordmark image
          example: https://example.com/wordmark-image.png
        websiteUrl:
          type: string
          nullable: true
          description: URL to the organisation's website
          example: https://example.com
          deprecated: true
      required:
        - id
        - name
        - slug
        - createdAt
        - bookingsEnabled
    BusinessCapability:
      type: object
      properties:
        id:
          enum:
            - bookings_client_funding_phi
            - payments
            - payouts
            - phi_funding
            - medicare_funding_onboarding
            - medicare_funding
            - client_invite
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
      required:
        - id
        - status
    BusinessSettings:
      type: object
      properties:
        autoReconciliationEnabled:
          type: boolean
        autoInviteClientsEnabled:
          type: boolean
      required:
        - autoReconciliationEnabled
        - autoInviteClientsEnabled
    MedicareRegistration:
      type: object
      properties:
        minorId:
          type: string
        prodaLocationId:
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
        providerAgreementSubmissionUrl:
          type: string
        isUsingOtherClaimSoftware:
          type: boolean
      required:
        - minorId
        - prodaLocationId
        - status
    PhiRegistration:
      type: object
      properties:
        phiLocationId:
          type: string
        status:
          type: string
      required:
        - phiLocationId
        - status

````